# Gst::MessageTag Class Reference

A tag message. More...

`#include <message.h>`

Inheritance diagram for Gst::MessageTag:

List of all members.

## Public Member Functions

| MessageTag (GstMessage* castitem)
Gst::TagList | parse () const
| Extracts and returns the Gst::TagList from the Gst::MessageTag.

## Static Public Member Functions

static Glib::RefPtr<Gst::Message> | create (const Glib::RefPtr<Gst::Object>& src, const Gst::TagList& taglist)
| Create a new tag message.

## Detailed Description

A tag message.

See create() for more details.

## Constructor& Destructor Documentation

Gst::MessageTag::MessageTag | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageTag::create | ( | const Glib::RefPtr<Gst::Object>& | src,
|  | const Gst::TagList& | taglist |
| ) |  |  | `[static]`

Create a new tag message.

The taglist will be copied. The message is posted by elements that discovered a new taglist.

Parameters:

  | src | The object originating the message.
  | tag_list | The tag list for the message.

Returns:
  The new tag message. MT safe.

Gst::TagList Gst::MessageTag::parse | ( |  | ) | const

Extracts and returns the Gst::TagList from the Gst::MessageTag.

MT safe.

Returns:
  A copy of the Gst::TagList.

The documentation for this class was generated from the following file:

- message.h